glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions

# Glib::RWLock Class Reference
Threads

`#include <glibmm/thread.h>`

Inheritance diagram for Glib::RWLock:
[legend]

List of all members.

## Classes
class | ReaderLock
| Utility class for exception-safe locking of read/write locks. More...
class | WriterLock
| Utility class for exception-safe locking of read/write locks. More...
## Public Member Functions
| RWLock ()
| ~RWLock ()

## Constructor & Destructor Documentation

Glib::RWLock::RWLock | ( |  | ) |

Glib::RWLock::~RWLock | ( |  | ) |